cpw.mods.fml.common.eventhandler

## Class Event

- java.lang.Object
- - cpw.mods.fml.common.eventhandler.Event

- Direct Known Subclasses:
    AnvilUpdateEvent, BiomeEvent, BlockEvent, ChunkProviderEvent, ChunkWatchEvent, ClientChatReceivedEvent, CommandEvent, ConfigChangedEvent, DecorateBiomeEvent, DrawBlockHighlightEvent, EntityEvent, EntityViewRenderEvent, FluidContainerRegistry.FluidContainerRegisterEvent, FluidEvent, FluidRegistry.FluidRegisterEvent, FMLNetworkEvent, FMLNetworkEvent.CustomNetworkEvent, ForgeChunkManager.ForceChunkEvent, ForgeChunkManager.UnforceChunkEvent, FOVUpdateEvent, GuiOpenEvent, GuiScreenEvent, InitMapGenEvent, InputEvent, MouseEvent, OreDictionary.OreRegisterEvent, OreGenEvent, PlayerEvent, PotionBrewedEvent, RenderGameOverlayEvent, RenderHandEvent, RenderLivingEvent, RenderWorldEvent, RenderWorldLastEvent, ServerChatEvent, SoundEvent, TextureStitchEvent, TickEvent, WorldEvent, WorldTypeEvent

      public class Event
      extends java.lang.Object

  Base Event class that all other events are derived from

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `Event.HasResult`
    `static class` | `Event.Result`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Event()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ListenerList` | `getListenerList()` Returns a ListenerList object that contains all listeners that are registered to this event.
    `Event.Result` | `getResult()` Returns the value set as the result of this event
    `boolean` | `hasResult()` Determines if this event expects a significant result value.
    `boolean` | `isCancelable()` Determine if this function is cancelable at all.
    `boolean` | `isCanceled()` Determine if this event is canceled and should stop executing.
    `void` | `setCanceled(boolean cancel)` Sets the state of this event, not all events are cancelable, and any attempt to cancel a event that can't be will result in a IllegalArgumentException.
    `void` | `setResult(Event.Result value)` Sets the result value for this event, not all events can have a result set, and any attempt to set a result for a event that isn't expecting it will result in a IllegalArgumentException.
    `protected void` | `setup()` Called by the base constructor, this is used by ASM generated event classes to setup various functionality such as the listenerlist.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Event

          public Event()

  - ### Method Detail

    - #### isCancelable

          public boolean isCancelable()

      Determine if this function is cancelable at all.
      Returns:
        If access to setCanceled should be allowed

    - #### isCanceled

          public boolean isCanceled()

      Determine if this event is canceled and should stop executing.
      Returns:
        The current canceled state

    - #### setCanceled

          public void setCanceled(boolean cancel)

      Sets the state of this event, not all events are cancelable, and any attempt to cancel a event that can't be will result in a IllegalArgumentException. The functionality of setting the canceled state is defined on a per-event bases.
      Parameters:
        `cancel` - The new canceled value

    - #### hasResult

          public boolean hasResult()

      Determines if this event expects a significant result value.

    - #### getResult

          public Event.Result getResult()

      Returns the value set as the result of this event

    - #### setResult

          public void setResult(Event.Result value)

      Sets the result value for this event, not all events can have a result set, and any attempt to set a result for a event that isn't expecting it will result in a IllegalArgumentException. The functionality of setting the result is defined on a per-event bases.
      Parameters:
        `value` - The new result

    - #### setup

          protected void setup()

      Called by the base constructor, this is used by ASM generated event classes to setup various functionality such as the listenerlist.

    - #### getListenerList

          public ListenerList getListenerList()

      Returns a ListenerList object that contains all listeners that are registered to this event.
      Returns:
        Listener List